import type {Metadata} from 'next'
import {Inter} from 'next/font/google'
import '@/app/globals.css'
import Navbar from "./navbar";
import React from "react";
import Providers from './providers';
import Sidebar from "@/app/sidebar";

export const metadata: Metadata = {
    title: 'Infuse License Portal',
    description: 'Generated by create next app',
}

export default function RootLayout({children,}: { children: React.ReactNode }) {
    return (
        <html data-theme={"light"}>
        <head>
            <link rel="icon" href={"/favicon.ico"}/>
            <title>Infuse License Portal</title>
        </head>
        <body>
        {/* eslint-disable-next-line @next/next/no-sync-scripts */}
        <script src="../../node_modules/flowbite/dist/flowbite.min.js"></script>
        <script src="../../node_modules/flowbite/dist/datepicker.js"></script>


        <Providers>
            <div className={"flex flex-row w-screen h-screen"}>
                <div className={"w-72"}>
                    <Sidebar/>
                </div>
                <div className={"w-full"}>
                    {children}
                </div>
            </div>
        </Providers>
        {/*<Footer />*/}
        </body>
        </html>
    )
}
